## members 19990831-2.2

=== Makefile ===
#this is the -*- makefile -*- for members.
#
# members is the complement of groups: whereas groups shows the groups a
# specified user belongs to, members shows users belonging to a specified
# group.

# Copyright (c) 1997 by Jim Lynch.
# This software comes with NO WARRANTY WHATSOEVER.
#
# This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; version 2 dated June, 1991, or, at your
#    option, any LATER version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program;  if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# On Debian Linux systems, the complete text of the GNU General
# Public License can be found in `/usr/doc/copyright/GPL' (on some
# installations) or /usr/share/common-licenses/GPL (on newer 
# ones).

CPPFLAGS = -g

members: members.o
	g++ -o members members.o

main.o: members.cc

clean:
	rm -f members *.o *~ core

install: members
	cp members $(DESTDIR)/usr/bin/members
	chmod 755 $(DESTDIR)/usr/bin/members
	chown bin.bin $(DESTDIR)/usr/bin/members

## members 19990831-2

=== debian/changelog ===
members (19990831-2) unstable; urgency=low

  * maintainer address change.

 -- Jim Lynch <jwl@debian.org>  Mon, 10 Jan 2000 02:56:29 -0800

members (19990831-1) unstable; urgency=low

  * Fixes Bug#43719. Problem was without default, did absolutely nothing
      including check for anything or setting any exit status. Now, when
      choosing no option, a default to -a is selected.

 -- Jim Lynch <jim@laney.edu>  Tue, 31 Aug 1999 01:21:19 -0700

members (19990824-1) unstable; urgency=low

  * Added the ability to find primary and/or secondary members.

 -- Jim Lynch <jim@laney.edu>  Tue, 23 Aug 1999 08:13:00 -0700

members (19980714-1) unstable; urgency=low

  * Initial Release.

 -- Jim Lynch <jim@laney.edu>  Fri, 11 Jun 1999 15:49:02 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: members
Section: admin
Priority: optional
Maintainer: Jim Lynch <jwl@debian.org>
Standards-Version: 2.5.0

Package: members
Architecture: any
Depends: ${shlibs:Depends}
Description: Shows the members of a group; by default, all members.
 members is the complement of groups: whereas groups shows the groups a
 specified user belongs to, members shows users belonging to a specified
 group.
 .
 Given the name of a group, members will send a space-separated list of
 member names to stdout.
 .
 Full option parsing has been added as of this version. You can ask for
 primary members, secondary members, both on one line, each on separate
 lines. If no option is selected, prints all members on one line by default.

## members 19990831-2.2

=== debian/changelog ===
members (19990831-2.2) unstable; urgency=low

  * NMU
  * Add missing include of string.h to members.cc.  (closes:
    Bug#114207)

 -- Doug Porter <dsp@debian.org>  Fri, 19 Oct 2001 13:06:24 -0500

members (19990831-2.1) unstable; urgency=low

  * NMU
  * Add missing build-depends debhelper, fix gcc 3.0 issues. Closes: #104731.

 -- LaMont Jones <lamont@debian.org>  Sat, 11 Aug 2001 17:13:32 -0600

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Jim Lynch <jwl@debian.org>
 Standards-Version: 2.5.0
+Build-Depends: debhelper
 
 Package: members
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## members 19990831-4

=== debian/changelog ===
members (19990831-4) unstable; urgency=low

  * Typo with standards 3.6.1 corrected 

 -- Lars Bahner <bahner@debian.org>  Thu, 13 Nov 2003 02:11:08 +0100

members (19990831-3) unstable; urgency=low

  * Fixed dh_suidregister
  * Cleaned up in debian/rules 
  * New standards version 3.6.1
  * Compiling with -Wno-deprecated in lieu of a solution proper

 -- Lars Bahner <bahner@debian.org>  Sat,  1 Nov 2003 13:24:08 +0100

members (19990831-2.3) unstable; urgency=low

  * New maintainer (closes: #202171)
  * lintian cleanup
  * Standards 3.6.0

 -- Lars Bahner <bahner@debian.org>  Mon, 28 Jul 2003 16:57:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: members
 Section: admin
 Priority: optional
-Maintainer: Jim Lynch <jwl@debian.org>
-Standards-Version: 2.5.0
+Maintainer: Lars Bahner <bahner@debian.org>
+Standards-Version: 3.6.1
 Build-Depends: debhelper
 
 Package: members
 Architecture: any
 Depends: ${shlibs:Depends}
+Conflicts: suidmanager (<< 0.50)
 Description: Shows the members of a group; by default, all members.
  members is the complement of groups: whereas groups shows the groups a
  specified user belongs to, members shows users belonging to a specified

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installmanpages
	dh_installdocs
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## members 19990831-4build1

=== debian/changelog ===
members (19990831-4build1) dapper; urgency=low

  * Rebuild with current g++

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Dec 2005 09:48:59 +0000

## members 19990831-5

=== debian/changelog ===
members (19990831-5) unstable; urgency=low

  * Compiled with GCC 4 

 -- Lars Bahner <bahner@debian.org>  Sun, 19 Mar 2006 05:04:16 +0000

## members 20080128-4

=== debian/changelog ===
members (20080128-4) unstable; urgency=low

  * Changed `pwd` to $(CURDIR) in rules. (Closes: #462947)

 -- Lars Bahner <bahner@debian.org>  Mon, 28 Jan 2008 13:55:04 +0100

members (20080128-3) unstable; urgency=low

  * Bumped to newer version of debhelper. Cleaned packaging.

 -- Lars Bahner <bahner@debian.org>  Mon, 28 Jan 2008 12:34:47 +0100

members (20080128-2) unstable; urgency=low

  * Cleaned up text in copyright and control file

 -- Lars Bahner <bahner@debian.org>  Mon, 28 Jan 2008 12:15:33 +0100

members (20080128-1) unstable; urgency=low

  * Changed includes to be GCC-4.3 compatible. (Closes# 461684)
  * Removed useless file optparse.c from source

 -- Lars Bahner <bahner@debian.org>  Mon, 28 Jan 2008 12:04:40 +0100

## members 20080128-5

=== debian/changelog ===
members (20080128-5) unstable; urgency=low

  * #include #include <cstdio> (Closes: #504860)

 -- Lars Bahner <bahner@debian.org>  Wed, 12 Nov 2008 20:54:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Lars Bahner <bahner@debian.org>
-Standards-Version: 3.6.1
-Build-Depends: debhelper
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>=4)
 
 Package: members
 Architecture: any
 Depends: ${shlibs:Depends}
 Conflicts: suidmanager (<< 0.50)
-Description: Shows the members of a group; by default, all members.
+Description: Shows the members of a group; by default, all members
  members is the complement of groups: whereas groups shows the groups a
  specified user belongs to, members shows users belonging to a specified
  group.

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 	dh_clean -k
 	dh_installdirs
 
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/members
 
 	touch install-stamp
 
@@ -40,7 +40,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installmanpages
+	dh_installman
 	dh_installdocs
 	dh_installchangelogs 
 	dh_link

## members 20080128-5%2Bnmu1

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 	
@@ -28,7 +30,7 @@
 install-stamp: build-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/members

## members 20080128-5+nmu1

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # installations) or /usr/share/common-licenses/GPL (on newer 
 # ones).
 
-CPPFLAGS = -g
+CPPFLAGS = -g -Wno-deprecated
 
 members: members.o
 	g++ -o members members.o

=== debian/changelog ===
members (20080128-5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move from the no more supported debhelper compatibility level 4 to the
    currently recommended level 9 and make debian/rules and debian/control
    more future-proof:
    + Change "dh_clean -k" to "dh_prep".
    + Add now required targets build-indep and build-arch.
    + Add ${misc:Depends} to Depends
    + Closes: #817578

 -- Axel Beckert <abe@debian.org>  Sat, 30 Jul 2016 23:54:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Lars Bahner <bahner@debian.org>
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>=4)
+Build-Depends: debhelper (>=9)
 
 Package: members
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: suidmanager (<< 0.50)
 Description: Shows the members of a group; by default, all members
  members is the complement of groups: whereas groups shows the groups a

## members 20080128.1+nmu1

=== debian/changelog ===
members (20080128.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/source/format: Convert the source package to
    "3.0 (native)" format.
    This fixes lintian error malformed-debian-changelog-version.
  * Bump base version string to 20080128.1.
  * Makefile:
    + Respect environment variable CXX and CPPFLAGS
    and use them for cpp code compilation.
    - Remove the line about chown, this is completely useless.
  * debian/changelog:
    - Remove trailing unformated string.
  * debian/substvars: Removed, this should not appear in a source
    package.
  * debian/control:
    + Add Vcs-* fields to use git packaging repo under Salsa Debian
      group.
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
    + Use "Rules-Requires-Root: no".
  * debian/rules:
    + Use dh_auto_build to build the source code.
      This fixes FTCBFS. (Closes: #851205)
    + Rewrite with dh sequencer.
      This fixes lintian warning debian-rules-ignores-make-clean-error.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Nov 2019 17:24:12 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Lars Bahner <bahner@debian.org>
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>=9)
+Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 12)
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/members.git
+Vcs-Browser: https://salsa.debian.org/debian/members
 
 Package: members
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/default.mk

%:
	dh $@

## members 20080128.1+nmu1build1

=== debian/changelog ===
members (20080128.1+nmu1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:38 +0100

## members 20080128.1+nmu2

=== Makefile ===
--- 
+++ 
@@ -26,10 +26,11 @@
 # installations) or /usr/share/common-licenses/GPL (on newer 
 # ones).
 
-CPPFLAGS = -g -Wno-deprecated
+CXX ?= g++
+CPPFLAGS ?= -g -Wno-deprecated
 
 members: members.o
-	g++ -o members members.o
+	$(CXX) -o members members.o
 
 main.o: members.cc
 
@@ -39,4 +40,3 @@
 install: members
 	cp members $(DESTDIR)/usr/bin/members
 	chmod 755 $(DESTDIR)/usr/bin/members
-	chown bin.bin $(DESTDIR)/usr/bin/members

=== debian/changelog ===
members (20080128.1+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild before Ubuntu 24.04 LTS release.
  * debian/control: Bump Standards-Version to 4.6.2.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Fix day-of-week for changelog entry 19990824-1.

 -- Boyuan Yang <byang@debian.org>  Sat, 17 Feb 2024 12:59:47 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Lars Bahner <bahner@debian.org>
-Standards-Version: 4.4.1
-Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13)
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/members.git
 Vcs-Browser: https://salsa.debian.org/debian/members

## members 20080128.1+nmu2build1

=== debian/changelog ===
members (20080128.1+nmu2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 16 Dec 2025 20:10:06 +0000
